package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

public class CasbinListDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private List<Long> listId;

    private String v4;


    public List<Long> getListId() {
        return listId;
    }

    public void setListId(List<Long> listId) {
        this.listId = listId;
    }

    public String getV4() {
        return v4;
    }

    public void setV4(String v4) {
        this.v4 = v4;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        CasbinDTO casbinDTO = (CasbinDTO) o;
        if (casbinDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), casbinDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
